%YAML 1.1
---
gfVersion: v1.0
class: app

name: test-str-contain-gf
description: Test string contain app
repo_uri: https://gitlab.com/geneflow/apps/test-str-contain-gf.git
version: '0.1'
inputs:
  input:
    label: Input File
    description: Dummy input file
    type: File
parameters:
  super_string:
    label: Super String
    description: Super string
    type: string
    default: super string
  sub_string:
    label: Sub String
    description: Sub string
    type: string
    default: string
  output:
    label: Output Text File
    description: Output text file
    type: File
definition:
{% if agave %}
  agave:
    agave_app_id: {{ agave.appsPrefix }}-test-str-contain-gf-0.1{{ revision }}
{% endif %}
  local:
    script: test-str-contain-gf.sh
...